
#include <WiFi.h>
#include <wechat.h>
#include <HTTPClient.h>
WiFiClient client_bemfa_wechat;
HTTPClient http_bemfa_wechat;
int httpCode = 0;

void wechat_remind(String uid,String dev,String msg){
    String address = "http://api.bemfa.com/api/wechat/v1/weget.php?type=2&uid="+uid+"&device="+dev+"&msg="+msg+"";
  http_bemfa_wechat.begin(client_bemfa_wechat,address);
  httpCode = http_bemfa_wechat.GET();
  if (httpCode > 0) {
    String payload = http_bemfa_wechat.getString();
    Serial.println(payload);
  }
  http_bemfa_wechat.end();

}

void wechat_warning(String uid,String dev,String msg){
    String address = "http://api.bemfa.com/api/wechat/v1/weget.php?type=1&uid="+uid+"&device="+dev+"&msg="+msg+"";
  http_bemfa_wechat.begin(client_bemfa_wechat,address);
  httpCode = http_bemfa_wechat.GET();
  if (httpCode > 0) {
    String payload = http_bemfa_wechat.getString();
    Serial.println(payload);
  }
  http_bemfa_wechat.end();

}